## org.red5.server.messaging
Interface IPushableConsumer

All Superinterfaces:
  IConsumer, IMessageComponent

All Known Implementing Classes:
  ClientBroadcastStream, ConnectionConsumer, FileConsumer, PlayEngine, ServerStream, StreamingProxy

    public interface IPushableConsumer

extends IConsumer

A consumer that supports event-driven message handling and message pushing through pipes.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com)

Field Summary
`static String` `KEY`

Method Summary
`void` `pushMessage(IPipe pipe, IMessage message)` Pushes message through pipe

Methods inherited from interface org.red5.server.messaging.IMessageComponent
`onOOBControlMessage`

Field Detail

### KEY

    static final String KEY

Method Detail

### pushMessage

    void pushMessage(IPipe pipe,
                     IMessage message)
                     throws IOException

  Pushes message through pipe

  Parameters:
    `pipe` - Pipe
    `message` - Message
  Throws:
    `IOException` - if message could not be written

Copyright © 2006-2010 The Red5 Project